Index: uspace/drv/bus/usb/ohci/endpoint_list.c
===================================================================
--- uspace/drv/bus/usb/ohci/endpoint_list.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/endpoint_list.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -39,6 +39,6 @@
 
 #include <usb/debug.h>
+#include <usb/host/utils/malloc32.h>
 
-#include "utils/malloc32.h"
 #include "endpoint_list.h"
 
Index: uspace/drv/bus/usb/ohci/endpoint_list.h
===================================================================
--- uspace/drv/bus/usb/ohci/endpoint_list.h	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/endpoint_list.h	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -39,8 +39,8 @@
 #include <fibril_synch.h>
 #include <sys/types.h>
+#include <usb/host/utils/malloc32.h>
 
 #include "ohci_endpoint.h"
 #include "hw_struct/endpoint_descriptor.h"
-#include "utils/malloc32.h"
 
 /** Structure maintains both OHCI queue and software list of active endpoints.*/
Index: uspace/drv/bus/usb/ohci/hc.c
===================================================================
--- uspace/drv/bus/usb/ohci/hc.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/hc.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -48,5 +48,4 @@
 #include "ohci_endpoint.h"
 #include "ohci_batch.h"
-#include "utils/malloc32.h"
 
 #include "hc.h"
Index: uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.c
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -38,6 +38,6 @@
 
 #include <usb/usb.h>
+#include <usb/host/utils/malloc32.h>
 
-#include "../utils/malloc32.h"
 #include "mem_access.h"
 
Index: uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.h	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/hw_struct/endpoint_descriptor.h	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -40,6 +40,6 @@
 
 #include <usb/host/endpoint.h>
-
-#include "../utils/malloc32.h"
+#include <usb/host/utils/malloc32.h>
+
 #include "transfer_descriptor.h"
 
Index: uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.c
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -37,6 +37,6 @@
 
 #include <usb/usb.h>
+#include <usb/host/utils/malloc32.h>
 
-#include "../utils/malloc32.h"
 #include "completion_codes.h"
 #include "mem_access.h"
Index: uspace/drv/bus/usb/ohci/ohci_batch.c
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_batch.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/ohci_batch.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -41,8 +41,8 @@
 #include <usb/usb.h>
 #include <usb/debug.h>
+#include <usb/host/utils/malloc32.h>
 
 #include "ohci_batch.h"
 #include "ohci_endpoint.h"
-#include "utils/malloc32.h"
 
 static void (*const batch_setup[])(ohci_transfer_batch_t*, usb_direction_t);
Index: uspace/drv/bus/usb/ohci/ohci_endpoint.c
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_endpoint.c	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ uspace/drv/bus/usb/ohci/ohci_endpoint.c	(revision 2dbfe4497342c4c6132143d23bc5b2c8239479cf)
@@ -35,6 +35,6 @@
 #include <assert.h>
 #include <stdlib.h>
+#include <usb/host/utils/malloc32.h>
 
-#include "utils/malloc32.h"
 #include "ohci_endpoint.h"
 #include "hc.h"
Index: pace/drv/bus/usb/ohci/utils/malloc32.h
===================================================================
--- uspace/drv/bus/usb/ohci/utils/malloc32.h	(revision d51ba3594ad3b5361b07dae7b42a43e5f7ebaa56)
+++ 	(revision )
@@ -1,81 +1,0 @@
-/*
- * Copyright (c) 2010 Jan Vesely
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-/** @addtogroup drvusbohci
- * @{
- */
-/** @file
- * @brief OHCI driver
- */
-#ifndef DRV_OHCI_UTILS_MALLOC32_H
-#define DRV_OHCI_UTILS_MALLOC32_H
-
-#include <as.h>
-#include <errno.h>
-#include <stdlib.h>
-#include <sys/types.h>
-
-/* Generic TDs and EDs require 16byte alignment,
- * Isochronous TD require 32byte alignment,
- * buffers do not have to be aligned.
- */
-#define OHCI_ALIGN 32
-
-/** Get physical address translation
- *
- * @param[in] addr Virtual address to translate
- * @return Physical address if exists, NULL otherwise.
- */
-static inline uintptr_t addr_to_phys(const void *addr)
-{
-	uintptr_t result;
-	int ret = as_get_physical_mapping(addr, &result);
-	
-	if (ret != EOK)
-		return 0;
-	
-	return result;
-}
-
-/** Physical mallocator simulator
- *
- * @param[in] size Size of the required memory space
- * @return Address of the aligned and big enough memory place, NULL on failure.
- */
-static inline void * malloc32(size_t size)
-	{ return memalign(OHCI_ALIGN, size); }
-
-/** Physical mallocator simulator
- *
- * @param[in] addr Address of the place allocated by malloc32
- */
-static inline void free32(void *addr)
-	{ free(addr); }
-#endif
-/**
- * @}
- */
